Introduction to TI DataEditor

TI DataEditor is a tool in the TI Connect™ software that you can use to work with data variables for your TI handheld devices. With TI DataEditor, you can create number, list, and matrix variables. Once you create these variables, you can use the tool to edit them and share them with your device and computer.

Before you start using TI DataEditor, you should learn the basics of the tool. This section covers the basic information you may need to know. It includes descriptions of the TI DataEditor window and modes, as well as information on opening, closing, and setting up TI DataEditor.

Help for TI Connect™ TI DataEditor April 20, 2004 © 2004 Texas Instruments


TI DataEditor window

The TI DataEditor window shows the data variables you create and open, as well as tools for you to work with these data variables. The window has three modes: Number Editor, List Editor, and Matrix Editor. By default, the window opens to the last mode you worked in. The example below shows the Matrix Editor mode.

Parts of the TI DataEditor window

Menu bar – Menus at the top of the window that you can use to tell the program what actions you want to perform.
Standard toolbar – A set of buttons on the TI DataEditor window that provide shortcuts to the TI DataEditor tools.
TI Connect™ toolbar – A set of buttons on the TI DataEditor window that provide shortcuts to the TI Connect™ tools.
Main viewing area – Part of the TI DataEditor window where you can view and edit any variables you have open.
Variable bar – Three large buttons (Number, List, and Matrix) at the bottom of the screen that you can use to select the variable type you want to view or edit.
Status bar – Part of the TI DataEditor window that indicates the state of the current operation in TI DataEditor.


Number Editor mode

In Number Editor mode, you can create, view, and work with number variables. The example below shows the Number Editor with four number variables open. You can open as many number variables as your computer can support.

Parts of the Number Editor

Cell – The space in the number variable table where you type number variable data.
Column labels – The shaded bars containing information about the columns. In the Number Editor, the column labels contain the words “Name” or “Value.”
Number variable data – The numeric data that makes up a number variable.
Number variable name – The name you give to your number variable.


List Editor mode

In List Editor mode, you can create, view, and work with list variables. The example below shows the List Editor with three different list variables open. You can open as many list variables as your computer can support.

Parts of the List Editor

Cell – The space in the list variable table where you type list variable data.
Index column – The shaded column to the left of a list variable that shows the file names.
List variable data – The numeric data that makes up your list variable.
List variable name – The name you give to your list variable.


Matrix Editor mode

In Matrix Editor mode, you can create, view, and work with matrix variables. The example below shows the Matrix Editor open with one matrix variable. You can only have one matrix variable open at a time.

Parts of the Matrix Editor

Cell – The space in the matrix variable table where you type the matrix variable data.
Column number – The number that identifies the column.
Matrix variable data – The numeric data that makes up the matrix variable.
Matrix variable name – The name you give to your matrix variable.
Row number – The number that identifies the row.


Opening and closing TI DataEditor

When you want to open the TI DataEditor software, you can do so from the TI Connect Home screen or from another TI Connect™ tool. You can close TI DataEditor from the file menu or its window.

To open TI DataEditor from the TI Connect Home screen

Click TI DataEditor.

The TI DataEditor window opens.

Note: If the Select TI Device dialog box opens, click the appropriate device and then click Select.

To open TI DataEditor from another tool

You can open TI DataEditor from TI ScreenCapture and TI DeviceExplorer.

Click Tools > TI DataEditor or click [image] .

The TI DataEditor window opens.

Note: If the Select TI Device dialog box opens, click the appropriate device and then click Select.

To close TI DataEditor

Click File > Exit or click [image] .


Opening variable editors

TI DataEditor has three different variable editors: Number Editor, List Editor, and Matrix Editor. You must use the appropriate editor when you create and work with each data variable type. For example, when you create and/or work with number variables, you must do so in Number Editor.

To open the Number Editor

Click View > Number Editor or click Number at the bottom of the window.

To open the List Editor

Click View > List Editor or click List at the bottom of the window.

To open the Matrix Editor

Click View > Matrix Editor or click Matrix at the bottom of the window.


Showing and hiding parts of the TI DataEditor window

You can change the TI DataEditor window to suit your needs. TI DataEditor lets you show or hide the Standard toolbar, TI Connect™ toolbar, and status bar.

To show or hide the Standard toolbar

Click View > Toolbars > Standard.

To show or hide the TI Connect™ toolbar

Click View > Toolbars > TI Connect.

To show or hide the Status bar

Click View > Status Bar.


Changing the selected device type

The TI Connect™ software lets you have multiple devices connected at once. However, the software can only work with one device at a time. When you want to use a device different from the currently selected one, you must change the selected device type. The device type you select becomes the default device for all TI Connect tools. It remains the default until you change the selected device type again.

To change the selected device type

  1. Click Actions > Select Device.

    2. The Select TI Device dialog box opens. The software determines which devices you have connected and shows them in the dialog box.

  2. When the device you want appears in the dialog box, click it.
  3. Click Select.

    4. The software changes the selected device type.

Note: You can select a device (perform steps 2 and 3) as soon as the device you want appears in the dialog box. You do not have to wait for the software to find all connected devices.


Working with data variables

In TI DataEditor, you can work with number, list, and matrix variables. Each data variable has its own variable editor that you can use to perform the various functions available in TI Data Editor. These variable editors include the Number Editor, the List Editor, and the Matrix Editor.


Creating data variables

You can use TI DataEditor to create number, list, and matrix data variables. When you create data variables, you can use any of the following types of data:

  • numbers 0 through 9
  • “+” or “-” in front of the numbers
  • “e” or “E” for exponential format
  • “i” for complex numbers
  • decimal point for floating point numbers

TI DataEditor does not let you create data variables that contain no data or non-numeric data.

To create number variables

  1. Click File > New > Number.

    2. A new number variable opens with the cell selected.

  2. Type data in the cell.
  3. Press Enter.
  4. (Optional) Save the number variable.

To create list variables

  1. Click File > New > List.

    2. A new list variable opens with the first cell selected.

  2. Type data in the cell.
  3. Press Enter.

    4. TI DataEditor accepts the data and selects the next cell.

  4. Repeat steps 2 and 3 for each list element (cell) you need.
  5. (Optional) Save the list variable.

To create matrix variables

  1. Click File > New > Matrix.

    2. A new matrix variable opens with the first cell selected.

  2. Click File > Properties or click [image] .

    3. The Variable Properties dialog box opens.

    Note: The variable properties dialog box varies depending on device type.

  3. Select a device type.
  4. If necessary, change the number of rows.
  5. If necessary, change the number of columns.
  6. Select or type a variable name.
  7. Click OK.
  8. Type data in the selected cell.
  9. Press Enter.

    10. TI DataEditor accepts the data and selects the next cell.

  10. Repeat steps 8 and 9 for each cell in the matrix variable.
  11. (Optional) Save the matrix variable.


Saving data variables

After you edit or create data variables, you may want to save them. You can save new data variables and existing data variables.

Note: If you save numeric data for the TI‑89, TI‑89 Titanium, TI-92, and TI‑92 Plus devices or the Voyage™ 200 Personal Learning Tool, TI DataEditor converts it to floating point format.

To save existing data variables

  1. Click the data variable you want to save.
  2. Click File > Save or click [image] .

    3. TI DataEditor saves the data variable.

    For files opened from TI DeviceExplorer, a dialog box opens asking if you want to save the file back to the device. Click Yes to save the data variable to the device or No to save the data variable to the computer.

To save new data variables

  1. Click the data variable you want to save.
  2. Click File > Save or click [image] .

    3. The Variable Properties dialog box opens.

    Note: The Variable Properties window varies depending on device and variable type.

  3. Click a device type.
  4. Select or type a variable name.
  5. Click OK.

    6. The Save As dialog box opens.

  6. If necessary, navigate to a new save location.
  7. Type a file name.
  8. Click Save.


Opening data variables

TI DataEditor lets you open the data variables you save on your computer. You can have as many list and number variables open as your computer’s memory supports; however, you can only open one matrix variable at a time. To view your open data variables, you must be in the appropriate variable editor. (See "Opening variable editors")

To open data variables

  1. In the variable bar, click the data variable type.
  2. Click File > Open or click [image] .

    3. The Select File(s) to open dialog box opens.

  3. If necessary, navigate to the file you want to open.
  4. Click the file.
  5. Click Open.


Sending data variables to devices

You can send the data variables you create to connected TI handheld devices. TI DataEditor provides three options for doing this, including sending selected data variables, sending all open data variables, and sending all open number, list, or matrix variables.

Warning: Do not disconnect a TI Connectivity cable during a transfer.

Before you start

Make sure each data variable has a name. To name a data variable, click File > Properties. (See "Changing data variable properties")

To send selected data variables

  1. Open the data variable you want to send.
  2. If you have multiple devices connected, select the device to which you want to send the file. (See "Changing the selected device type")
  3. Click the data variable name.
  4. Click Actions > Send Selected Items or click [image] .

    5. TI DataEditor sends the selected data variable to the connected device.

To send all open data variables

  1. Open the data variables you want to send.
  2. If you have multiple devices connected, select the device to which you want to send the file. (See "Changing the selected device type")
  3. Click Actions > Send All Open Items.

    4. TI DataEditor sends all open data variables to the connected device.

To send all open number, list, or matrix variables

  1. Open the data variables you want to send.
  2. If you have multiple devices connected, select the device to which you want to send the file. (See "Changing the selected device type")
  3. Depending on the data variable type, do one of the following:
    • Click Actions > Send All Numbers.
    • Click Actions > Send All Lists.
    • Click Actions > Send Matrix.

    TI DataEditor sends all open data variables of the selected type to the connected device.

Notes:

  • File transfers may fail when you use TI DataEditor to send an unnamed data variable to your device.
  • TI DataEditor has special features for canceling a send. (See "Canceling transfers")
  • If you send data variables that you open from TI DeviceExplorer, you may receive an Out of Memory error. When you open variables in TI DataEditor their size becomes larger. This means that you cannot send them back to a device that was at its memory limit.
  • If you send data variables to the TI‑89, TI‑89 Titanium, TI-92, and TI‑92 Plus devices or the Voyage™ 200 Personal Learning Tool, TI DataEditor converts them into floating point format.


Changing data variable properties

After you create a data variable, you may want to change some of its properties. The properties you can change include the:

  • Device type
  • Variable name
  • Folder name (for TI‑89, TI‑89 Titanium, TI-92, TI‑92 Plus, and Voyage™ 200 Personal Learning Tool)
  • Number of rows/columns (for matrix variables).

Warning: When you reduce the number of rows and/or columns in a matrix variable, the software deletes all of the cells in the selected rows/columns. You will lose any data contained in these cells.

To change data variable properties

  1. Click the data variable name.
  2. Click File > Properties or click [image] .

    3. The Variable Properties dialog box opens.

    Note: The Variable Properties window varies depending on device and variable type.

  3. Make the necessary changes.
  4. Click OK.

    5. TI DataEditor changes the variable properties.


Exporting data variables

TI DataEditor has several methods for exporting your data variables into spreadsheet programs. You can export data variables by copying them into spreadsheets or creating exportable files. In addition, you can use Special List Export to export list variables.

Note: The recommended way to export variables is to copy them.

To export data variables by copying them

  1. Click the data variable name.
  2. Click Edit > Copy.

    3. TI DataEditor copies the data variable contents to the clipboard.

  3. Open the spreadsheet to which you want to copy the data variable.
  4. Click the location in the spreadsheet where you want to insert the data variable.
  5. Click Edit > Paste.

To export data variables as files

  1. Click the data variable name.
  2. Click File > Export.

    3. The Select Filename to export file as dialog box opens.

  3. If necessary, navigate to the location where you want to save the file.
  4. Type a file name or accept the default.
  5. Click Save.

    6. TI DataEditor creates a data variable file that you can import into a spreadsheet.

To export multiple list variables as a single-list file

  1. If you have not already done so, open the list variables you want to export.
  2. Click File > Special List Export.

    3. The Select Filename to Export file as dialog box opens.

  3. If necessary, navigate to the location where you want to save the file.
  4. Type a file name or accept the default.
  5. Click Save.

    6. TI DataEditor creates a data variable file that you can import into a spreadsheet.


Importing spreadsheet data into data variables

You can import data from Excel Comma Separated (*.csv) and Text (*.txt) files. They must contain only numeric data.

Rules for importing

When you import files, the software uses the following rules:

  • If the file contains exactly one number, TI DataEditor imports it as a number variable.
  • If the file contains exactly one column of numbers, TI DataEditor imports it as a list variable.
  • TI DataEditor imports all other files as matrix variables.

To import spreadsheet data into data variables

  1. Click File > Import.

    2. The Select File(s) to import dialog box opens.

  2. If necessary, navigate to the directory that contains your spreadsheet files.
  3. Click the spreadsheet file you want import.
  4. Click Open.

    5. TI DataEditor imports the spreadsheet file and opens it in the applicable variable editor.


Printing data variables

You can print any data variable you create in TI DataEditor.

To print data variables

  1. Click the data variable name of the file you want to print.
  2. Click File > Print or click [image] .

  3. Click OK.

    4. The software prints the data variable.


Closing data variables

When you finish creating, editing, or using your data variables, you need to close them. You can close individual data variables or close all open data variables at once.

To close an individual data variable

  1. Click the data variable name.
  2. Click File > Close or click [image] .

    3. If the data variable is new or modified, TI DataEditor asks if you want to save it.

    If you opened the data variable from TI DeviceExplorer, a dialog box opens asking if you want to save the file to the device. Click Yes to save the data variable to the device or No to save the data variable to the computer.

To close all data variables at once

Click File > Close All.

If any data variables are new or modified, TI DataEditor asks if you want to save them.

If you opened any data variables from TI DeviceExplorer, a dialog box opens asking if you want to save the file to the device. Click Yes to save the data variable to the device or No to save the data variable to the computer.


Working with cells in data variables

All of the data variables in TI DataEditor are made up of cells. In order to change the content of your data variables, you must work with these cells. This section covers ways that you can change the content of the cells in your data variables.


Selecting cells

In order to perform an action on a cell, you must first select it. You can select one cell, multiple cells, or a range of cells. TI DataEditor indicates the cells you select by making them blue.

Note: To select a cell in a list variable, the cell must contain data.

To select one cell

Click the cell.

The cell turns blue. If the cell does not turn blue, click anywhere in the main window and then click the cell again.

To select multiple cells

Press and hold down Ctrl, then click each cell you want.

The cells turn blue.

To select a range of cells

  1. Hold down Shift.
  2. Click the first cell you want in the range.
  3. Click the last cell you want in the range.

    4. The range of cells turns blue.


Editing cells

If you need to change the data in a cell, you can edit the cell at any time. You can edit cells by changing or replacing the cell data.

To change the cell data

  1. Double-click the cell you want to change.

    2. The cell becomes an active cell.

  2. Make the changes to the data.
  3. Press Enter.

To replace the cell data

  1. Click the cell you want to replace.

    2. The cell turns blue. If the cell does not turn blue, click anywhere in the main window and then click the cell again.

  2. Type the new cell data.
  3. Press Enter.


Copying cells

You can copy the cells in your data variables to a new location. The new location may be in a different data variable or in the current data variable.

To copy cells

  1. Click the cell you want to copy.

    2. The cell turns blue. If the cell does not turn blue, click anywhere in the main window and then click the cell again.

  2. Click Edit > Copy or click [image] .
  3. If you want to copy the cells to a different data variable, open the data variable file.
  4. In the location where you want to copy the cells, select a cell. (See "Selecting cells")
  5. Click Edit > Paste or click [image] .

    6. TI DataEditor copies the cells to the new location.


Moving cells

You can move cells in data variables to a new location. The new location may be in a different data variable or in the current data variable.

Notes:

  • Moving cells does not delete them from the data variable. Instead, TI DataEditor replaces any cell you move with a zero cell.
  • To move cell data in matrix variables, you must select the cell itself, not the data in the cell.

To move cells

  1. Click the cell you want to move.

    2. The cell turns blue. If the cell does not turn blue, click anywhere in the main window and then click the cell again.

  2. Click Edit > Cut or click [image] .

    3. TI DataEditor puts the cut cell’s contents on the clipboard. A zero cell replaces the cut cell.

  3. If you want to move the cell to a different data variable, open the data variable file.
  4. In the location where you want to move the cells, select a cell. (See "Selecting cells")
  5. Click Edit > Paste or click [image] .

    6. TI DataEditor pastes the cut cells in the new location.


Inserting new cells

You can only insert new cells into list variables. Inserting new cells into list variables lets you add data to them.

Note: You can add new rows or columns to matrix variables, which in effect inserts new cells. (See "Changing data variable properties")

To insert new cells into list variables

  1. To select the insertion location, click a cell.

    2. The cell turns blue. If the cell does not turn blue, click anywhere in the main viewing area and then click the cell again.

  2. Click Edit > Insert or click [image] .

    3. TI DataEditor inserts a new cell above the selected cell.


Deleting cells

You can only delete cells from list variables. Deleting cells from list variables lets you remove any unwanted data from them.

Warning: You cannot undo a cell deletion.

Note: You can remove rows or columns from matrix variables, which in effect deletes cells.

To delete cells from list variables

  1. Click the cell you want to delete.

    2. The cell turns blue. If the cell does not turn blue, click anywhere in the main window and then click the cell again.

  2. Click Edit > Delete or click [image] .

    3. TI DataEditor removes the cell from the list variable.


Updating device operating systems

TI DataEditor includes a link to the TI OS Downloader tool. You can use TI OS Downloader to download operating systems from your computer to your device. TI OS Downloader lets you download operating systems for TI handheld devices and data collection devices.


Updating TI handheld device operating systems

You can use the following steps to update the TI-73, TI‑83 Plus, TI‑83 Plus Silver Edition, TI‑84 Plus, TI‑84 Plus Silver Edition, TI‑89, TI‑89 Titanium, and TI‑92 Plus devices and the Voyage™ 200 Personal Learning Tool.

Warning: Do not disconnect a TI Connectivity cable during a transfer.

Before you begin

  • Backup your device files (RAM, Archive, and Apps).
  • Make sure your device is turned on and securely connected to the computer.
  • If you have multiple devices connected with USB computer cables or USB Silver Edition cables, disconnect all of them except the one you intend to update.

To update TI handheld device operating systems with TI OS Downloader

  1. Click Tools > TI OS Downloader.

    2. The TI OSDownloader dialog box opens.

  2. If necessary, select the correct communication settings from the Device, Cable Type, and/or Port drop-down lists.
  3. Click Next.

    4. The fields in the TI OSDownloader dialog box change to “Locate OS File” and “Ready to download.”

    Note: The instructions in the Ready to download field vary with device.

  4. If necessary, click Open [image] and navigate to the OS File location.
  5. Remove the batteries from the device and then reinstall them.
  6. Turn on the device.
  7. If you are updating a TI‑89, TI‑89 Titanium, TI‑92 Plus or Voyage™ 200 PLT, follow the instructions on the device.
  8. Click Start Download.

    9. The Transferring window opens as TI OS Downloader downloads the operating system to the connected device. When the download finishes, the TI OS Downloader dialog box opens saying that the download is complete and TI OS Downloader will now close.

  9. Click OK.
    Notes:
    • Downloading an operating system to a device may result in a loss of device data. After you download the device operating system, you may need to use a backup file of the device to restore data (RAM, Archive, and Apps).
    • File transfers may fail when you use the black link cable to connect a TI-92 device to a computer running Windows 2000. This is not a problem with the TI‑92 Plus, the Voyage™ 200 PLT, or the TI-92 with the upgraded RAM module.


Updating data collection device operating systems

You can use the following steps to download operating systems to your CBL 2 and LabPro devices.

Warning: Do not disconnect a TI Connectivity cable during a transfer.

Before you begin

  • Make sure your device is turned on and securely connected to the computer.
  • If you have multiple devices connected with USB computer cables or USB Silver Edition cables, disconnect all of them except the one you intend to update.

To update data collection device operating systems

  1. Click Tools > TI OS Downloader.

  2. If necessary, select the correct communication settings from the Device, Cable Type, and/or Port drop-down lists.
  3. Click Next.

    4. The fields in the TI OSDownloader dialog box change to “Locate OS File” and “Ready to download.”

  4. If necessary, click Open [image] and navigate to the OS File location.
  5. Click Start Download.

    6. The Transferring window opens as TI OS Downloader downloads the operating system to the connected device. When the download finishes, the TI OS Downloader dialog box opens saying that the download is complete and TI OS Downloader will now close.

  6. Click OK.


Setting options

When you start the TI DataEditor software, it operates under default settings. In the software, these settings are called options. You can set these options to meet your specific needs. The options you can set include the:

  • Default application
  • Default directories
  • Software update check

If you later decide you want to return to the default settings, you can restore them at any time.

TI DataEditor shares its options with the TI Connect™ software. Any change you make to the options in TI DataEditor also changes the options for TI DeviceExplorer, TI ScreenCapture, and TI Connect Home.


Setting the default application

The TI Connect™ software provides you with the option of setting the default application. The default application is the application that opens when you start the TI Connect™ software. You can choose your default application from the following:

  • TI Connect Home
  • TI DataEditor
  • TI DeviceExplorer
  • TI ScreenCapture

To set the default application

  1. Click Tools > Options.

    2. The TI Connect Options dialog box opens.

  2. Click the Default application box.

    3. A drop-down list opens.

  3. From the drop-down list, select a default application.
  4. Click OK.

    5. The software sets the default application. The next time you open the TI Connect™ software, it opens to the new default application.


Setting the default directories

In the TI Connect™ software, you have the option of setting the directories where you want to save the files you create, download, and back up.

To set the default directories

  1. Click Tools > Options.

    2. The TI Connect Options dialog box opens.

  2. Under Default Directories, type new file locations or click Choose Folder [image] and navigate to new file locations.
    • The User Data option sets the default folder for the files you create.
    • The Download option sets the default folder for the files you download.
    • The Backup option sets the default folder for the files you back up.
  3. Click OK.

    4. The software sets the default directories.


Setting the check for TI software updates

You can set whether or not you want to check for TI software updates at the TI Connect™ startup. This lets you choose the updating schedule most convenient for you.

To set check for new TI software

  1. Click Tools > Options.

    2. The TI Connect Options dialog box opens.

  2. Under Update device software from web, click one of the following:
    • Check for new software on every startup
    • Do not automatically check for new software
    • Only check for new software at startup > once per week
    • Only check for new software at startup > once per month
  3. Click OK.

    4. The software sets the update check schedule.

Notes:

  • The TI Connect™ software only checks for new software at the startup if TI Connect Home is the default application.
  • Computers with firewall protection may encounter some problems when the TI Connect™ software checks for new software at the startup.


Restoring the default settings

Once you change the TI Connect™ settings, you may want to return them to their default. You can do so from the TI Connect options dialog box.

To restore default settings

  1. Click Tools > Options.

    2. The TI Connect Options dialog box opens.

  2. Click Restore Defaults.

    3. The software restores the TI Connect™ default settings.


Troubleshooting

This section contains information to help you quickly solve any problems you may encounter while using TI DataEditor. If you are unable to find an answer to your question here or in the help, visit the TI-Cares™ KnowledgeBase.


Frequently-asked questions

Q: What data variable types does TI DataEditor support?

A: TI DataEditor supports number, list, and matrix data variables. Some TI handheld devices do not support all variable types. The TI-73, for instance, does not support matrix variables.

Q: Can I have more than one variable open at the same time?

A: Yes and no. You can have all of the variable types open at the same time and you can have any amount of list and number variables open at the same time. However, you can only have one matrix variable open at a time and you can only work with one variable type at a time.

Q: How do I change the variable type I am viewing or using?

A: You have two ways to change the variable type:

    • Click a button (Number, List, Matrix) in the variable bar at the bottom of the TI DataEditor screen.
    • Click View and then select a variable editor (Number, List, Matrix) from the drop-down list.

Q: Why can’t I find the TI DeviceExplorer file I saved with TI DataEditor?

A: You saved your variable back to your device. When you save a variable back to your device, the software does not save it on your computer.

Q: In the Select TI Device dialog box, can I select a device before the software locates all of the connected devices?

A: Yes. In the Select TI Device dialog box, you can select a device as soon as it appears.

Q: Why did my file import fail?

A: The imported file contains characters other than numbers. If the file contains anything except valid numbers (such as letters), the import fails.

Q: How does TI DataEditor determine where to import a file?

A: TI DataEditor uses these rules to determine how it imports a file:

    • If the file contains exactly one number, TI DataEditor imports it as a number variable.
    • If the file contains exactly one column of numbers, TI DataEditor imports it as a list variable.
    • TI DataEditor imports all other files as matrix variables.

Q: Why do zero cells show up when I cut a cell?

A: You cannot actually cut a cell. When you attempt to cut a cell, TI DataEditor replaces the cell data with a zero.

Q: Can I use variable data with spreadsheets or text editors?

A: Yes. You can create a data variable with an ASCII text editor or with a spreadsheet program and then import it into TI DataEditor. Conversely, you can export a variable into Excel Comma Separated (*.csv) or Text (*.txt) spreadsheet format.

Q: Why does my file have a different variable name than what I gave it?

A: You created a new file from an existing file. When you create a new file from an existing file, the new file inherits the variable name from the original file. To change the variable name, you must use the properties function. (See "Changing data variable properties")

Q: Why can’t I locate the variable file I want to open?

A: TI DataEditor’s default device and viewing mode are different from the file you want to open. You can locate your file by doing one of the following:

    • From the Files of type drop-down list, choose All TI device Files.
    • Change your default device type and view mode.

Q: How many variable types can I work with at one time?

A: You can work with one variable type at a time. To choose which variable type to view, click a button (Number, List, Matrix) in the variable bar or select a variable editor from the View menu.

Q: What variable names can I use?

A:

TI-73, TI-83, TI‑83 Plus, TI‑83 Plus Silver Edition, TI‑84 Plus, TI‑84 Plus Silver Edition, and TI-86 devices:

    • For number variables, you can use a one-character name.
    • For list variables, you can choose a name from the given list or use a name with a maximum of five characters that starts with a letter.
    • For matrix variables, you must choose a name from the given list.

TI‑89, TI‑89 Titanium, TI-92, and TI‑92 Plus devices and the Voyage™ 200 Personal Learning Tool:

You must use a variable name and a folder name with a maximum of eight characters. The names must start with a letter.

Q: What numbers are valid?

A: You can use the numbers 0 through 9, a “+” or “-” in front of the numbers, an “e” or “E” for exponential format, an “i” for complex numbers, and a decimal point for floating point numbers. You cannot enter fractions with the “/”, algebraic symbols, or spaces.

Q: Why does the software round off my number when I send it to my device?

A: TI DataEditor does not support the Fixed Point (Integer) format for numbers that the TI‑89, TI‑89 Titanium, TI-92, TI‑92 Plus and Voyage™ 200 PLT support. Therefore, all numbers within TI DataEditor are floating point numbers. In some cases, this can result in a small precision loss if the magnitude of the data is very large and there are more than six significant digits in the data.

Q: Why does the software show my number as 1.#inf?

A: Your number probably has an exponent larger than 307. The computer’s internal number system is less accurate and has a less dynamic range than the system on the TI‑89, TI‑89 Titanium, TI-92, and TI‑92 Plus devices and the Voyage™ 200 PLT. Therefore, the computer cannot represent numbers with an exponent larger than 307 and shows 1.#inf (for very large numbers) or 0 (for very small numbers).

Q: What is a number variable?

A: A number variable is numeric data stored in a single-number format that has one number per file and can contain only numeric data.

Q: How many number variables can I have open at one time?

A: You can create and open as many number variables as your computer’s memory supports.

Q: What are the rules for naming number variables?

A: Number variable names on the TI-73, TI-83, TI‑83 Plus, TI‑83 Plus Silver Edition, TI‑84 Plus, TI‑84 Plus Silver Edition, and TI-86 devices must have a one-letter name. Number variable names for the TI‑89, TI‑89 Titanium, TI-92, TI‑92 Plus, and Voyage™ 200 PLT can have up to eight characters and must start with a letter.

Q: What data can I put in my number variables?

A: Number variables can have one real or complex number.

Q: What is a list variable?

A: A list variable is numeric data stored in a list format, single column, top to bottom.

Q: What are the rules for naming my list variables?

A: List variable names on the TI-73, TI-83, TI‑83 Plus, TI‑83 Plus Silver Edition, TI‑84 Plus, TI‑84 Plus Silver Edition, and TI-86 can have up to five characters or be named L1 through L6. List variable names for the TI‑89, TI‑89 Titanium, TI-92, TI‑92 Plus, or Voyage™ 200 PLT can have up to eight characters and must start with a letter.

Q: How many list variables can I open at one time?

A: You can create and open as many list variables as your computer’s memory supports.

Q: How many elements can a list variable contain?

A: List variables have a default size limit of 1000 elements. However, if you select Enable Large Lists from the View menu, your list variables can contain up to 10,000 elements.

Q: Why can I enter a list with 10,000 elements if I can’t send it to the device?

A: The large number of elements gives you more room to edit your lists. In addition, TI DataEditor may support devices in the future that can have more list elements.

Q: What data can I put in list variables?

A: List variables can contain only single-dimension (one column) numeric data. The numeric data can be real or complex.

Q: Why can’t I see all the data in my large list variable?

A: Your list variable has more elements than the default limit. The default size of list variables in TI DataEditor is 1,000 elements. To view all of the elements in your list variable, click View > Enable Large Lists. This lets you see up to 10,000 elements. If you do not select Enable Large Lists, you do not loose any data, but you cannot see or edit some of the data.

Q: What is a matrix variable?

A: A matrix variable is numeric data stored in a two-dimension format with one number per cell.

Q: What data can I put in matrix variables?

A: Matrix variables can contain real numeric data.

Q: How many matrix variables can I have open at one time?

A: You can only have one matrix variable open at a time.

Q: What are the rules for naming matrix variables?

A: Valid matrix variable names for the TI-83, TI‑83 Plus, TI‑83 Plus Silver Edition, TI‑84 Plus, TI‑84 Plus Silver Edition, and TI-86 are [A] through [J]. Valid matrix variable names for the TI‑89, TI‑89 Titanium, TI-92, TI‑92 Plus, and Voyage™ 200 PLT can be up to eight characters and must start with a letter. The TI-73 does not support matrix variables.

Q: How do I change my matrix variable’s size?

A: You can change the matrix variable size by changing the number of rows and/or columns in the matrix variable. Click File > Properties and then change the number of rows and/or columns under Variable Properties. Remember that making the matrix variable smaller deletes cells from the variable. You will lose any data contained in the deleted cells.

Q: Why can’t I move the matrix data I selected?

A: You selected the data instead of the cell containing the data. To move cell data in matrix variables, you must select the cell itself, not the data in the cell.


Error messages

Error message
Possible causes / solutions
Device Not Found
The software cannot connect to the attached device.
  • Make sure your device is turned on and securely connected to the computer.
  • Reselect your device. (See "Changing the selected device type")
Out of Memory
The handheld software applications (Apps) loaded on your device may use up most of the available memory. Delete applications, programs, or data in order to free up more memory.
Unknown
The software cannot find your device. Make sure your device is turned on and securely connected to the computer.


Canceling transfers

If you decide that you no longer want to perform a transfer, you can cancel it. You have two options for canceling a transfer. You can cancel a transfer when the current file finishes sending or you can cancel a transfer immediately (in the middle of sending a file).

Note: A transfer is the exchange of information between the device and the computer that occurs during a move, copy, send, or download.

To cancel after the current file transfers

Click Cancel.

The name on the Cancel button changes from Cancel to Cancel Now, and the transfer continues until the current file completes its transfer.

To cancel the transfer immediately

  1. Click Cancel.

    2. The name on the Cancel button changes from Cancel to Cancel Now.

  2. Click Cancel Now.

    3. The transfer ends immediately.


Glossary

This section provides reference material that you may find helpful while using TI Data Editor. In it, you can find terminology, data variable type explanations, and data type explanations.


Terms

active cell – The cell selected for editing, indicated by the black rectangular box around it.
data type – Number, list variable, or matrix variable.
default application – The tool that opens when you start the TI Connect™ software. It may be TI Connect Home, TI DataEditor, TI DeviceExplorer, or TI ScreenCapture. At installation, the default application is TI Connect Home.
device-specific file – A file created specifically for use with TI handheld devices. Extension examples include: *.8Xc, *.86n, *.89e, *.92l, *.V2m, *.8Xn.
device type – The type of TI handheld device, including: TI-73, TI-83, TI‑83 Plus, TI‑83 Plus Silver Edition, TI‑84 Plus, TI‑84 Plus Silver Edition, TI-86, TI‑89, TI‑89 Titanium, TI-92, TI‑92 Plus, Voyage™ 200 Personal Learning Tool.
export – To save a data variable copy to a format compatible with a computer spreadsheet program such as Microsoft® Excel.
floating point format – A format for numeric data where the software s a number as a decimal multiplied by the power of a number base. It indicates the power with an exponent. For example, 9.27E2 is the floating point format for 927.
floating point number – A number shown in floating point format. For example, 9.27E2.
focus – The selected cell.
import – To open a spreadsheet file as a number, list, or matrix variable in TI DataEditor.
internal file name – The variable name. Use the Properties function to change it.
List Editor – The TI DataEditor mode where you can work with list variables.
List variable – Numeric data stored in a list format, single column, top to bottom.
Matrix Editor – The TI DataEditor mode where you can work with matrix variables.
Matrix variable – Numeric data stored in a two-dimension matrix format with one number per cell.
name – The file name you give to your variable. Also called a variable name.
Number Editor – The TI DataEditor mode where you can work with number variables.
Number variable – Numeric data stored in a single-number format with one number per file.
numeric data – Data consisting of numbers.
real number – A number that is either rational or irrational, but not imaginary.
selection – The cell where you perform an action (for example, edit). TI DataEditor colors selected cells with a blue background.
value – The number variable data.
variable name – The name given to a data variable. For example: L4, list1, main.list7, [J].
variable properties – The device type, variable type, and variable name.
variable type – Examples: number variable, matrix variable, list variable.
view mode – Examples: Number Editor, List Editor, Matrix Editor.
zero cell – The cell with the number 0 in it. It takes the place of a cut cell.


Data variable types

In TI DataEditor, you can choose from number variables, list variables, and matrix variables. Below you can find an example and definition for each variable type.

Number variables

Number variables are numeric data stored as a single cell. They contain real or complex numbers. You can create and open as many number variables as your computer’s memory supports.

Use number variables when your data is a single real or complex number.

List variables

List variables are numeric data stored as a single-column list. They contain real or complex numbers and can have as many as 10,000 elements. You can create and open as many list variables as your computer’s memory supports.

Use list variables when your data is a single list (column) with real or complex numbers.

Matrix variables

Matrix variables are numeric data stored in a two-dimension matrix format with one number per cell. They contain real or complex numbers. You can open only one matrix variable at a time.

Use matrix variables when your data has multiple rows and columns with real or complex numbers.


File types

Complex file (*.XXc) – A file that contains a complex number variable for a specific TI handheld devices. Examples: P.83c, Z.8Xc.
Comma separated value file (*.csv) – A file that contains spreadsheet data in plain text separated by commas. Use it for importing/exporting files between TI DataEditor and a spreadsheet program. Examples: Export1.csv, Grades.csv.
Expression file (*.XXe) – A file containing a mathematical expression (numbers, variables, operators, and so on) that evaluates a single number. Related to a number file. Examples: Folder1.express.9Xe, main.differ.V2e.
List file (*.XXl) – A file that contains a list variable for a specific TI handheld device. Examples: L2.73X, L1.8XI, Var1.9XI.
Matrix file (*.XXm) – A file that contains a matrix variable for a specific TI handheld device. Examples: A.8Xm, Var4.92m, Variable.V2m.
Number file (*.XXn) – A file that contains a real or complex number variable for a specific TI handheld device. Examples: A.73n, X.83n, Q.8Xn.
Text file (*.txt) – A files that contains plain text. Use it for importing/exporting files between TI DataEditor and a spreadsheet program. Examples: NewFile.txt, Sam4.txt.


Legal Information

This section contains important legal notices about this product. In it, you can find important information, service and support information, and the license agreement.


Important Information

Texas Instruments makes no warranty, either express or implied, including but not limited to any implied warranties of merchantability and fitness for a particular purpose, regarding any programs or book materials and makes such materials available solely on an "as-is" basis. In no event shall Texas Instruments be liable to anyone for special, collateral, incidental, or consequential damages in connection with or arising out of the purchase or use of these materials, and the sole and exclusive liability of Texas Instruments, regardless of the form of action, shall not exceed the purchase price of this product. Moreover, Texas Instruments shall not be liable for any claim of any kind whatsoever against the use of these materials by any other party.

Graphing product applications (Apps) are licensed. See the terms of the license agreement for each product.

Copyright © 2004 Texas Instruments Incorporated.

Microsoft is a trademark of its owner.


Texas Instruments Support and Service

For general information

Home Page:

education.ti.com

KnowledgeBase and e-mail inquiries:

education.ti.com/support

Phone:

(800) TI-CARES / (800) 842-2737
For U.S., Canada, Mexico, Puerto Rico, and
Virgin Islands only

International information:

education.ti.com/support

(Click the International Information link.)

For technical support

KnowledgeBase and support by e‑mail:

education.ti.com/support

Phone
(not toll-free):

(972) 917-8324

For product (hardware) service

Customers in the U.S., Canada, Mexico, Puerto Rico and Virgin Islands: Always contact Texas Instruments Customer Support before returning a product for service.

All other customers: Refer to the leaflet enclosed with this product (hardware) or contact your local Texas Instruments retailer/distributor.


Texas Instruments PC Software License Agreement

By downloading/installing this software and/or documentation, you agree to abide by the following provisions.

  1. License: Subject to your payment of any applicable license fee, Texas Instruments Incorporated ("TI") grants you a license to copy and use the software program(s) and documentation from the linked web page or CD ROM ("Licensed Materials"). In addition to the copy resident on your computer, you may keep a copy on diskette or CD for backup / archive purposes.
  2. Restrictions: You may not reverse-assemble or reverse-compile the software program portion of the Licensed Materials that are provided in object code format. You may not sell, rent, or lease copies of the Licensed Materials.
  3. Support: Support for the Licensed Materials is described in the documentation that accompanies the software. Absent such documentation, support shall be provided by TI.
  4. Copyright: The Licensed Materials and any accompanying documentation are copyrighted. If you make copies, do not delete the copyright notice, trademark, or protective notices from the copies.
  5. Warranty: TI warrants that it has the right to provide the Licensed Materials. TI does not warrant that the Licensed Materials will be free from errors or will meet your specific requirements. The Licensed Materials are made available "AS IS" to you or any subsequent user.

    6. Although no warranty is given for the Licensed Material, the media (if any) will be replaced if found to be defective during the first three (3) months of use, when the package is returned postage prepaid to TI. THIS PARAGRAPH EXPRESSES TI'S MAXIMUM LIABILITY AND YOUR SOLE AND EXCLUSIVE REMEDY.

  6. Limitations: Except as explicitly stated above, TI makes no warranty or condition, either express or implied, including but not limited to any implied warranties of merchantability and fitness for a particular purpose, regarding the Licensed Materials.

    7. In no event shall TI or its suppliers be liable for any indirect, incidental or consequential damages, loss of profits, loss of use or data, or interruption of business, whether the alleged damages are labeled in tort, contract or indemnity.

    Some states or jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so the above limitation may not apply.

  7. Additional terms: This Agreement will immediately terminate if you fail to comply with its terms. Upon termination of this Agreement, you agree to return or destroy the original package and all whole or partial copies of the Program in your possession and so certify in writing to TI.

    8. The export and re-export of United States original software and documentation is subject to the Export Administration Act of 1969 as amended. Compliance with such regulations is your responsibility. You agree that you do not intend to nor will you, directly or indirectly, export, re-export or transmit the Program or technical data to any country to which such export, re-export or transmission is restricted by any applicable United States regulation or statute, without the proper written consent or license, if required of the Bureau of Export Administration of the United States Department of Commerce, or such other governmental entity as may have jurisdiction over such export, re-export or transmission.

    If the Program is provided to the U.S. Government pursuant to a solicitation issued on or after December 1, 1995, the Program is provided with the commercial license rights and restrictions described elsewhere herein. If the Program is provided to the U.S. Government pursuant to a solicitation issued prior to December 1, 1995, the Program is provided with "Restricted Rights" as provided for in FAR, 48 CFR 52.227-14 (JUNE 1987) or DFAR, 48 CFR 252.227-7013 (OCT 1988), as applicable.